import { EventEmitter } from '@angular/core';
import { CellTemplateDirective } from '../base/template-base';
export declare const CALENDAR_TEMPLATE: string;
export declare class CalendarComponent {
    cellTemplate: CellTemplateDirective;
    weeks: string[];
    months: string[];
    border: boolean;
    showWeek: boolean;
    weekNumberHeader: string;
    selection: Date;
    validator: Function;
    selectionChange: EventEmitter<{}>;
    highlightDay: any;
    highlightMonth: any;
    headerData: any[];
    bodyData: any[];
    showMenu: boolean;
    private _firstDay;
    private _year;
    private _month;
    firstDay: number;
    year: number;
    month: number;
    readonly saIndex: number;
    readonly suIndex: number;
    ngOnInit(): void;
    onDayClick(day: any, $event: any): void;
    onMonthClick(monthName: any, $event: any): void;
    isHighlighted(day: any): boolean;
    isSelected(day: any): boolean;
    isToday(day: any): boolean;
    isValid(day: any): any;
    isDiff(date1: Date, date2: Date): boolean;
    toDate(day: any): Date;
    toArray(date: Date): number[];
    calcWeekNumber(week: any): number;
    getWeekNumber(date: Date): number;
    getHeaderData(): string[];
    getWeeks(): any[];
    nextYear(): void;
    prevYear(): void;
    nextMonth(): void;
    prevMonth(): void;
    moveTo(date: Date): void;
    highlightDate(date: Date): void;
    selectDate(date?: Date): void;
    navDate(step: number): void;
}
