import { EventEmitter, ElementRef } from '@angular/core';
import { PanelComponent } from '../panel/panel.component';
import { DraggableDirective } from '../draggable/draggable.directive';
import { ResizableDirective } from '../resizable/resizable.directive';
export declare const DIALOG_TEMPLATE: string;
export declare class DialogComponent extends PanelComponent {
    hostRef: ElementRef;
    draggableRef: DraggableDirective;
    resizableRef: ResizableDirective;
    title: string;
    border: boolean;
    borderType: string;
    closable: boolean;
    modal: boolean;
    draggable: boolean;
    resizable: boolean;
    draggableOptions: Object;
    resizableOptions: Object;
    onOpen: EventEmitter<{}>;
    onClose: EventEmitter<{}>;
    maskEl: HTMLElement;
    initialized: boolean;
    _panelCls: string;
    _headerCls: string;
    _bodyCls: string;
    _footerCls: string;
    _closed: boolean;
    panelCls: string;
    headerCls: string;
    bodyCls: string;
    footerCls: string;
    closed: boolean;
    constructor(hostRef: ElementRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    initDialog(): void;
    openMask(): void;
    closeMask(): void;
    open(): void;
    close(): void;
    displaying(): void;
    moveToTop(): void;
    hcenter(): void;
    vcenter(): void;
    center(): void;
    static zIndex: number;
}
