/**
 * EasyUI for Angular 1.0
 * 
 * Copyright (c) 2009-2018 www.jeasyui.com. All rights reserved.
 *
 * Licensed under the freeware license: https://www.jeasyui.com/license_freeware2.php
 * To use it on other terms please contact us: info@jeasyui.com
 *
 */
import{Component,ViewChild,ContentChildren,forwardRef,Input,Output,EventEmitter,ElementRef,Renderer2,ChangeDetectorRef}from"@angular/core";import{MenuItemComponent}from"./menu-item.component";import{domHelper}from"../base/domhelper";var MenuComponent=function(){function MenuComponent(hostRef,renderer,cdRef){this.hostRef=hostRef,this.renderer=renderer,this.cdRef=cdRef,this.menuCls=null,this.menuStyle=null,this.left=null,this.top=null,this.zIndex=MenuComponent.zIndex++,this.inline=!1,this.noline=!1,this.closed=!0,this.duration=100,this.itemClick=new EventEmitter,this.timer=null}return MenuComponent.prototype.ngAfterContentInit=function(){var _this=this;this.menuWidth=domHelper.toStyleValue(this.menuWidth),this.initItems(),this.subItems.changes.subscribe(function(){_this.initItems()})},MenuComponent.prototype.ngOnDestroy=function(){this.containerRef&&this.hostRef.nativeElement.appendChild(this.containerRef.nativeElement)},MenuComponent.prototype.ngAfterViewInit=function(){var _this=this;this.inline||(document.body.appendChild(this.containerRef.nativeElement),this.renderer.listen("document","click",function(event){if(!_this.closed){if(event.preventDefault(),event.stopPropagation(),domHelper.isChild(event.target,_this.containerRef.nativeElement))return;_this.hide()}}))},MenuComponent.prototype.onMouseOver=function(event){this.closed=!1,clearTimeout(this.timer)},MenuComponent.prototype.onMouseOut=function(event){this.delayHide()},MenuComponent.prototype.initItems=function(){var _this=this;this.subItems.forEach(function(item){item.parentMenu=_this})},MenuComponent.prototype.findItem=function(value){var finder=function(items,field){void 0===field&&(field="value");for(var _i=0,items_1=items;_i<items_1.length;_i++){var item_1=items_1[_i];if(item_1[field]==value)return item_1;if(item_1.subMenu&&(item_1=finder(item_1.subMenu.subItems.toArray())))return item_1}return null},item=finder(this.subItems.toArray(),"value");return item||(item=finder(this.subItems.toArray(),"text")),item},MenuComponent.prototype.unhighlight=function(){this.subItems.forEach(function(item){item.unhighlight()})},MenuComponent.prototype.show=function(left,top){this.closed=!1,this.left=left,this.top=top,this.zIndex=MenuComponent.zIndex++,clearTimeout(this.timer)},MenuComponent.prototype.showAt=function(target,align){void 0===align&&(align="left"),this.show(0,0),this.alignTo(target,align)},MenuComponent.prototype.showContextMenu=function(left,top){this.show(left,top),this.alignContextMenu()},MenuComponent.prototype.hide=function(){this.closed=!0},MenuComponent.prototype.delayHide=function(){var _this=this;this.timer=setTimeout(function(){_this.closed=!0},this.duration)},MenuComponent.prototype.alignTo=function(target,align){void 0===align&&(align="left"),this.cdRef.detectChanges();var view=domHelper.getViewport(),pos=domHelper.offset(target),targetWidth=domHelper.outerWidth(target),targetHeight=domHelper.outerHeight(target),menuWidth=domHelper.outerWidth(this.containerRef.nativeElement),menuHeight=domHelper.outerHeight(this.containerRef.nativeElement),left="left"==align?pos.left:pos.left+targetWidth-menuWidth,top=pos.top+targetHeight;left+menuWidth>view.width+domHelper.getScrollLeft()?left=pos.left+targetWidth-menuWidth:left<0&&(left=pos.left),top+menuHeight>view.height+domHelper.getScrollTop()&&(top=pos.top-menuHeight-1),top<domHelper.getScrollTop()&&(top=domHelper.getScrollTop()+1),this.left=left,this.top=top},MenuComponent.prototype.alignContextMenu=function(){this.cdRef.detectChanges();var view=domHelper.getViewport(),width=domHelper.outerWidth(this.containerRef.nativeElement),height=domHelper.outerHeight(this.containerRef.nativeElement);this.left+width>view.width+domHelper.getScrollLeft()&&(this.left-=width),height>view.height+domHelper.getScrollTop()?this.top=domHelper.getScrollTop()+1:this.top+height>view.height+domHelper.getScrollTop()&&(this.top=view.height+domHelper.getScrollTop()-height-1)},MenuComponent}();export{MenuComponent};MenuComponent.zIndex=11e4,MenuComponent.decorators=[{type:Component,args:[{selector:"eui-menu",template:'\n\t\t<div #container class="menu-container f-inline-row"\n\t\t\t\t[class.menu-noline]="noline"\n\t\t\t\t[style.width]="menuWidth"\n\t\t\t\t[style.left.px]="left"\n\t\t\t\t[style.top.px]="top"\n\t\t\t\t[style.zIndex]="zIndex"\n\t\t\t\t[style.display]="inline ? null : (closed ? \'none\' : \'block\')"\n\t\t\t\t(mouseover)="onMouseOver($event)"\n\t\t\t\t(mouseout)="onMouseOut($event)">\n\t\t\t<div class="menu-shadow"></div>\n\t\t\t<div class="menu-line"></div>\n\t\t\t<div class="menu f-column f-full" [ngClass]="menuCls" [ngStyle]="menuStyle">\n\t\t\t\t<ng-content></ng-content>\n\t\t\t</div>\n\t\t</div>\n\t',host:{class:"menu-inline"}}]}],MenuComponent.ctorParameters=function(){return[{type:ElementRef},{type:Renderer2},{type:ChangeDetectorRef}]},MenuComponent.propDecorators={containerRef:[{type:ViewChild,args:["container"]}],subItems:[{type:ContentChildren,args:[forwardRef(function(){return MenuItemComponent})]}],menuCls:[{type:Input}],menuStyle:[{type:Input}],menuWidth:[{type:Input}],left:[{type:Input}],top:[{type:Input}],zIndex:[{type:Input}],inline:[{type:Input}],noline:[{type:Input}],closed:[{type:Input}],duration:[{type:Input}],itemClick:[{type:Output}]};