/**
 * EasyUI for Angular 1.0
 * 
 * Copyright (c) 2009-2018 www.jeasyui.com. All rights reserved.
 *
 * Licensed under the freeware license: https://www.jeasyui.com/license_freeware2.php
 * To use it on other terms please contact us: info@jeasyui.com
 *
 */
import{Directive,ElementRef,Renderer2,Input,Output,HostListener,EventEmitter}from"@angular/core";import{domHelper}from"../base/domhelper";var ResizableDirective=function(){function ResizableDirective(hostRef,renderer){this.hostRef=hostRef,this.renderer=renderer,this.disabled=!1,this.handles="all",this.edge=5,this.minWidth=10,this.minHeight=10,this.maxWidth=1e4,this.maxHeight=1e4,this.resizeStart=new EventEmitter,this.resizing=new EventEmitter,this.resizeStop=new EventEmitter,this.isResizing=!1,this.state=null,this.mousemoveListener=null,this.mouseupListener=null,this.touchmoveListener=null,this.touchendListener=null}return ResizableDirective.prototype.parseEvent=function(event){if(["touchstart","touchmove","touchend","touchcancel"].indexOf(event.type)>=0){var touch=event.touches[0]||event.changedTouches[0];event.pageX=touch.pageX,event.pageY=touch.pageY}return event},ResizableDirective.prototype.onMouseDown=function(event){if(!this.disabled){event=this.parseEvent(event);var dir=this.getDirection(event);if(dir){var style=getComputedStyle(this.hostRef.nativeElement);this.state={dir:dir,width:domHelper.outerWidth(this.hostRef.nativeElement),height:domHelper.outerHeight(this.hostRef.nativeElement),startWidth:domHelper.outerWidth(this.hostRef.nativeElement),startHeight:domHelper.outerHeight(this.hostRef.nativeElement),startX:event.pageX,startY:event.pageY,left:parseInt(style.left)||0,top:parseInt(style.top)||0,startLeft:parseInt(style.left)||0,startTop:parseInt(style.top)||0},this.isResizing=!0,this.renderer.setStyle(document.body,"cursor",dir?dir+"-resize":""),this.bindDocumentEvents(),this.resizeStart.emit(this.state)}}},ResizableDirective.prototype.onMouseMove=function(event){if(!this.disabled&&!this.isResizing){event=this.parseEvent(event);var dir=this.getDirection(event);this.renderer.setStyle(this.hostRef.nativeElement,"cursor",dir?dir+"-resize":"")}},ResizableDirective.prototype.onMouseLeave=function(event){this.disabled||this.renderer.setStyle(this.hostRef.nativeElement,"cursor","")},ResizableDirective.prototype.doMove=function(event){if(this.isResizing)return event=this.parseEvent(event),this.doResize(event),this.applySize(),this.resizing.emit(this.state),!1},ResizableDirective.prototype.doUp=function(event){return event=this.parseEvent(event),this.isResizing=!1,this.renderer.setStyle(document.body,"cursor",""),this.doResize(event),this.applySize(),this.unbindDocumentEvents(),this.resizeStop.emit(this.state),!1},ResizableDirective.prototype.bindDocumentEvents=function(){var _this=this;this.mousemoveListener||(this.mousemoveListener=this.renderer.listen("document","mousemove",function(event){return _this.doMove(event)})),this.touchmoveListener||(this.touchmoveListener=this.renderer.listen("document","touchmove",function(event){return _this.doMove(event)})),this.mouseupListener||(this.mouseupListener=this.renderer.listen("document","mouseup",function(event){return _this.doUp(event)})),this.touchendListener||(this.touchendListener=this.renderer.listen("document","touchend",function(event){return _this.doUp(event)}))},ResizableDirective.prototype.unbindDocumentEvents=function(){this.mousemoveListener&&(this.mousemoveListener(),this.mousemoveListener=null),this.touchmoveListener&&(this.touchmoveListener(),this.touchmoveListener=null),this.mouseupListener&&(this.mouseupListener(),this.mouseupListener=null),this.touchendListener&&(this.touchendListener(),this.touchendListener=null)},ResizableDirective.prototype.getDirection=function(e){var dir="",offset=domHelper.offset(this.hostRef.nativeElement),width=domHelper.outerWidth(this.hostRef.nativeElement),height=domHelper.outerHeight(this.hostRef.nativeElement);e.pageY>offset.top&&e.pageY<offset.top+this.edge?dir+="n":e.pageY<offset.top+height&&e.pageY>offset.top+height-this.edge&&(dir+="s"),e.pageX>offset.left&&e.pageX<offset.left+this.edge?dir+="w":e.pageX<offset.left+width&&e.pageX>offset.left+width-this.edge&&(dir+="e");var handles=this.handles.split(",").map(function(h){return h.trim().toLowerCase()});if(handles.indexOf("all")>=0||handles.indexOf(dir)>=0)return dir;for(var i=0;i<dir.length;i++){var index=handles.indexOf(dir.substr(i,1));if(index>=0)return handles[index]}return""},ResizableDirective.prototype.doResize=function(e){var resizeData=this.state;if(-1!=resizeData.dir.indexOf("e")){width=resizeData.startWidth+e.pageX-resizeData.startX;width=Math.min(Math.max(width,this.minWidth),this.maxWidth),resizeData.width=width}if(-1!=resizeData.dir.indexOf("s")){height=resizeData.startHeight+e.pageY-resizeData.startY;height=Math.min(Math.max(height,this.minHeight),this.maxHeight),resizeData.height=height}if(-1!=resizeData.dir.indexOf("w")){var width=resizeData.startWidth-e.pageX+resizeData.startX;width=Math.min(Math.max(width,this.minWidth),this.maxWidth),resizeData.width=width,resizeData.left=resizeData.startLeft+resizeData.startWidth-resizeData.width}if(-1!=resizeData.dir.indexOf("n")){var height=resizeData.startHeight-e.pageY+resizeData.startY;height=Math.min(Math.max(height,this.minHeight),this.maxHeight),resizeData.height=height,resizeData.top=resizeData.startTop+resizeData.startHeight-resizeData.height}},ResizableDirective.prototype.applySize=function(){this.renderer.setStyle(this.hostRef.nativeElement,"left",this.state.left+"px"),this.renderer.setStyle(this.hostRef.nativeElement,"top",this.state.top+"px"),this.state.width!=this.state.startWidth&&this.renderer.setStyle(this.hostRef.nativeElement,"width",this.state.width+"px"),this.state.height!=this.state.startHeight&&this.renderer.setStyle(this.hostRef.nativeElement,"height",this.state.height+"px")},ResizableDirective}();export{ResizableDirective};ResizableDirective.decorators=[{type:Directive,args:[{selector:"[euiResizable]"}]}],ResizableDirective.ctorParameters=function(){return[{type:ElementRef},{type:Renderer2}]},ResizableDirective.propDecorators={disabled:[{type:Input}],handles:[{type:Input}],edge:[{type:Input}],minWidth:[{type:Input}],minHeight:[{type:Input}],maxWidth:[{type:Input}],maxHeight:[{type:Input}],resizeStart:[{type:Output}],resizing:[{type:Output}],resizeStop:[{type:Output}],onMouseDown:[{type:HostListener,args:["touchstart",["$event"]]},{type:HostListener,args:["mousedown",["$event"]]}],onMouseMove:[{type:HostListener,args:["touchmove",["$event"]]},{type:HostListener,args:["mousemove",["$event"]]}],onMouseLeave:[{type:HostListener,args:["touchcancel",["$event"]]},{type:HostListener,args:["touchend",["$event"]]},{type:HostListener,args:["mouseleave",["$event"]]}]};