/**
 * EasyUI for Angular 1.0
 * 
 * Copyright (c) 2009-2018 www.jeasyui.com. All rights reserved.
 *
 * Licensed under the freeware license: https://www.jeasyui.com/license_freeware2.php
 * To use it on other terms please contact us: info@jeasyui.com
 *
 */
import{Component,ViewChild,Input,ElementRef,ChangeDetectorRef}from"@angular/core";import{domHelper}from"../base/domhelper";export var TOOLTIP_CONTENT_TEMPLATE='\n\t<div *ngIf="!closed" #tooltip tabindex="-1" class="tooltip tooltip-{{position}}"\n\t\t\t[ngClass]="tooltipCls"\n\t\t\t[ngStyle]="tooltipStyle"\n\t\t\t[style.left.px]="left"\n\t\t\t[style.top.px]="top"\n\t\t\t[style.zIndex]="zIndex"\n\t\t\t(mouseenter)="onMouseEnter($event)"\n\t\t\t(mouseleave)="onMouseLeave($event)">\n\t\t<div class="tooltip-content">\n\t\t\t<ng-content></ng-content>\n\t\t\t{{content}}\n\t\t</div>\n\t\t<div #arrowOuter class="tooltip-arrow-outer"></div>\n\t\t<div #arrowInner class="tooltip-arrow"></div>\n\t</div>\n';var TooltipContentComponent=function(){function TooltipContentComponent(hostRef,cdRef){this.hostRef=hostRef,this.cdRef=cdRef,this.tooltipCls=null,this.tooltipStyle=null,this.content=null,this.position="bottom",this.target=null,this.parent=null,this.trackMouse=!1,this.trackMouseX=null,this.trackMouseY=null,this.deltaX=0,this.deltaY=0,this.left=null,this.top=null,this.zIndex=TooltipContentComponent.zIndex++,this.closed=!0,this.targetWidth=null,this.targetHeight=null,this.tipWidth=null,this.tipHeight=null}return TooltipContentComponent.prototype.ngOnDestroy=function(){this.tooltipRef&&this.hostRef.nativeElement.appendChild(this.tooltipRef.nativeElement)},TooltipContentComponent.prototype.onMouseEnter=function(event){this.parent.clearTimeouts(),this.show()},TooltipContentComponent.prototype.onMouseLeave=function(event){this.parent.clean()},TooltipContentComponent.prototype.getPosition=function(pos){void 0===pos&&(pos="bottom"),this.position=pos||"bottom";var left=0,top=0,offset=domHelper.offset(this.target),targetWidth=this.targetWidth,targetHeight=this.targetHeight,tipWidth=this.tipWidth,tipHeight=this.tipHeight;switch(this.trackMouse?(left=this.trackMouseX+this.deltaX,top=this.trackMouseY+this.deltaY,targetWidth=targetHeight=0):(left=offset.left+this.deltaX,top=offset.top+this.deltaY),this.position){case"right":left+=targetWidth+12+(this.trackMouse?12:0),top-=(tipHeight-targetHeight)/2;break;case"left":left-=tipWidth+12+(this.trackMouse?12:0),top-=(tipHeight-targetHeight)/2;break;case"top":left-=(tipWidth-targetWidth)/2,top-=tipHeight+12+(this.trackMouse?12:0);break;case"bottom":left-=(tipWidth-targetWidth)/2,top+=targetHeight+12+(this.trackMouse?12:0)}return{left:left,top:top}},TooltipContentComponent.prototype.reposition=function(){var view=domHelper.getViewport(),pos=this.getPosition(this.position);if("top"==this.position&&pos.top<domHelper.getScrollTop()?pos=this.getPosition("bottom"):"bottom"==this.position&&pos.top+this.tipHeight>view.height+domHelper.getScrollTop()&&(pos=this.getPosition("top")),pos.left<domHelper.getScrollLeft())if("left"==this.position)pos=this.getPosition("right");else{arrowLeft=this.tipWidth/2+pos.left-domHelper.getScrollLeft();this.arrowOuterRef.nativeElement.style.left=arrowLeft+"px",this.arrowInnerRef.nativeElement.style.left=arrowLeft+"px",pos.left=domHelper.getScrollLeft()}else if(pos.left+this.tipWidth>view.width+domHelper.getScrollLeft())if("right"==this.position)pos=this.getPosition("left");else{var arrowLeft=pos.left;pos.left=view.width+domHelper.getScrollLeft()-this.tipWidth,arrowLeft=this.tipWidth/2-(pos.left-arrowLeft),this.arrowOuterRef.nativeElement.style.left=arrowLeft+"px",this.arrowInnerRef.nativeElement.style.left=arrowLeft+"px"}this.left=pos.left,this.top=pos.top;var bc="border-"+this.position+"-color",borderColor=this.tooltipRef.nativeElement.style.borderColor,backColor=this.tooltipRef.nativeElement.style.backgroundColor;this.arrowOuterRef.nativeElement.style[bc]=borderColor,this.arrowInnerRef.nativeElement.style[bc]=backColor},TooltipContentComponent.prototype.show=function(){this.closed&&(this.closed=!1,this.left=-1e3,this.top=-1e3,this.cdRef.detectChanges(),document.body.appendChild(this.tooltipRef.nativeElement),this.tooltipRef.nativeElement.style.display="block",this.targetWidth=domHelper.outerWidth(this.target),this.targetHeight=domHelper.outerHeight(this.target),this.tipWidth=domHelper.outerWidth(this.tooltipRef.nativeElement),this.tipHeight=domHelper.outerHeight(this.tooltipRef.nativeElement),this.reposition(),this.parent.tooltipShow.emit())},TooltipContentComponent.prototype.hide=function(){this.closed||(this.closed=!0,this.parent.tooltipHide.emit())},TooltipContentComponent}();export{TooltipContentComponent};TooltipContentComponent.zIndex=11e6,TooltipContentComponent.decorators=[{type:Component,args:[{selector:"eui-tooltip-content",template:TOOLTIP_CONTENT_TEMPLATE}]}],TooltipContentComponent.ctorParameters=function(){return[{type:ElementRef},{type:ChangeDetectorRef}]},TooltipContentComponent.propDecorators={tooltipRef:[{type:ViewChild,args:["tooltip"]}],arrowOuterRef:[{type:ViewChild,args:["arrowOuter"]}],arrowInnerRef:[{type:ViewChild,args:["arrowInner"]}],tooltipCls:[{type:Input}],tooltipStyle:[{type:Input}],content:[{type:Input}],position:[{type:Input}],target:[{type:Input}],parent:[{type:Input}],trackMouse:[{type:Input}],trackMouseX:[{type:Input}],trackMouseY:[{type:Input}],deltaX:[{type:Input}],deltaY:[{type:Input}],left:[{type:Input}],top:[{type:Input}],zIndex:[{type:Input}],closed:[{type:Input}]};