/**
 * EasyUI for Angular 1.0
 * 
 * Copyright (c) 2009-2018 www.jeasyui.com. All rights reserved.
 *
 * Licensed under the freeware license: https://www.jeasyui.com/license_freeware2.php
 * To use it on other terms please contact us: info@jeasyui.com
 *
 */
import{Component,forwardRef,Input,Inject}from"@angular/core";import{TreeGridBodyComponent}from"./treegrid-body.component";var TreeGridRowComponent=function(){function TreeGridRowComponent(gridBody){this.gridBody=gridBody,this.depth=0,this.rowIndex=0,this.loading=!1,this.grid=this.gridBody.view.grid}return Object.defineProperty(TreeGridRowComponent.prototype,"indentWidth",{get:function(){return this.isLeaf()?16*(this.depth+1):16*this.depth},enumerable:!0,configurable:!0}),Object.defineProperty(TreeGridRowComponent.prototype,"checkboxClass",{get:function(){var index=["unchecked","checked","indeterminate"].indexOf(this.row.checkState);return-1==index&&(index=0),"tree-checkbox"+index},enumerable:!0,configurable:!0}),TreeGridRowComponent.prototype.isTreeField=function(field){return field==this.gridBody.view.grid.treeField},TreeGridRowComponent.prototype.isExpanded=function(){return!this.row.state||"open"==this.row.state},TreeGridRowComponent.prototype.isCollapsed=function(){return!(!this.row.state||"closed"!=this.row.state)},TreeGridRowComponent.prototype.isLeaf=function(){return"closed"!=this.row.state&&(this.row.children&&this.row.children.length?(this.loading=!1,!1):!this.loading)},TreeGridRowComponent.prototype.ngOnInit=function(){this.row.parent=this.prow},TreeGridRowComponent.prototype.toggle=function(event){event.stopPropagation(),this.isExpanded()?(this.row.state="closed",this.grid.rowCollapse.emit(this.row)):(this.loading=!0,this.row.state="open",this.grid.rowExpand.emit(this.row)),this.grid.cdRef.detectChanges()},TreeGridRowComponent.prototype.onCheckRow=function(event){event.stopPropagation(),"checked"==this.row.checkState?this.grid.uncheckRow(this.row):this.grid.checkRow(this.row)},TreeGridRowComponent.prototype.onCellClick=function(col,event){this.grid.onCellClick(this.row,col,event),(this.grid.clickToEdit||this.grid.dblclickToEdit&&this.grid.editingItem)&&this.doEdit(col,event.target)},TreeGridRowComponent.prototype.onCellDblClick=function(col,event){this.grid.cellDblClick.emit({row:this.row,column:col}),this.grid.dblclickToEdit&&this.doEdit(col,event.target)},TreeGridRowComponent.prototype.onCellContextMenu=function(col,event){this.grid.cellContextMenu.emit({row:this.row,column:col,originalEvent:event})},TreeGridRowComponent.prototype.onCellKeyDown=function(col,event){"cell"==this.grid.editMode&&(13==event.which?(event.stopPropagation(),this.grid.endEdit()):27==event.which&&(event.stopPropagation(),this.grid.cancelEdit()))},TreeGridRowComponent.prototype.doEdit=function(col,target){this.grid.beginEdit(this.row,col),setTimeout(function(){var input=target.querySelector(".textbox-text");input&&input.focus()})},TreeGridRowComponent.prototype.isEditable=function(col){return!(!this.grid.isEditing(this.row,col)||!col.editable)},TreeGridRowComponent}();export{TreeGridRowComponent};TreeGridRowComponent.decorators=[{type:Component,args:[{selector:"[euiTreeGridRow]",template:'\n\t\t<td *ngFor="let col of columns"\n\t\t\t\t[class.datagrid-row-selected]="grid.isSelected(row,col)"\n\t\t\t\t[class.datagrid-row-over]="grid.isHighlighted(row,col)"\n\t\t\t\t(mouseenter)="grid.highlightCell={row:row,column:col}"\n\t\t\t\t(mouseleave)="grid.highlightCell=null"\n\t\t\t\t(click)="onCellClick(col,$event)"\n\t\t\t\t(dblclick)="onCellDblClick(col,$event)"\n\t\t\t\t(contextmenu)="onCellContextMenu(col,$event)"\n\t\t\t\t(keydown)="onCellKeyDown(col,$event)">\n\t\t\t<div *ngIf="isTreeField(col.field)" class="datagrid-cell" \n\t\t\t\t\t[style.textAlign]="col.align || null"\n\t\t\t\t\t[class.datagrid-editable]="isEditable(col)">\n\t\t\t\t<ng-container *ngIf="isEditable(col)">\n\t\t\t\t\t<input *ngIf="!col.editTemplate" [(ngModel)]="row[col.field]" class="datagrid-editable-input textbox-text">\n\t\t\t\t\t<ng-template *ngIf="col.editTemplate" [euiTreeGridEditTemplate]="col.editTemplate.template" [column]="col" [row]="row"></ng-template>\n\t\t\t\t</ng-container>\n\t\t\t\t<ng-container *ngIf="!isEditable(col)">\n\t\t\t\t\t<span class="tree-indent" [style.width.px]="indentWidth"></span\n\t\t\t\t\t><span *ngIf="!isLeaf()" class="tree-hit" \n\t\t\t\t\t\t\t[class.tree-expanded]="isExpanded()" \n\t\t\t\t\t\t\t[class.tree-collapsed]="isCollapsed()"\n\t\t\t\t\t\t\t(click)="toggle($event)"></span\n\t\t\t\t\t><span class="tree-icon tree-folder" \n\t\t\t\t\t\t\t[ngClass]="row.iconCls"\n\t\t\t\t\t\t\t[class.tree-folder-open]="isExpanded()"\n\t\t\t\t\t\t\t[class.tree-file]="isLeaf()"\n\t\t\t\t\t\t\t[class.tree-loading]="loading"></span\n\t\t\t\t\t><span *ngIf="grid.checkbox" class="tree-checkbox" [ngClass]="checkboxClass" (click)="onCheckRow($event)"></span\n\t\t\t\t\t><span class="tree-title">\n\t\t\t\t\t\t<ng-container *ngIf="!col.cellTemplate">{{row[col.field]}}</ng-container>\n\t\t\t\t\t\t<ng-template *ngIf="col.cellTemplate" [euiGridCellTemplate]="col.cellTemplate.template" [row]="row" [rowIndex]="rowIndex" [column]="col"></ng-template>\n\t\t\t\t\t</span>\n\t\t\t\t</ng-container>\n\t\t\t</div>\n\t\t\t<div *ngIf="!isTreeField(col.field)" class="datagrid-cell" \n\t\t\t\t\t[style.textAlign]="col.align || null"\n\t\t\t\t\t[class.datagrid-editable]="isEditable(col)">\n\t\t\t\t<ng-container *ngIf="isEditable(col)">\n\t\t\t\t\t<input *ngIf="!col.editTemplate" [(ngModel)]="row[col.field]" class="datagrid-editable-input textbox-text">\n\t\t\t\t\t<ng-template *ngIf="col.editTemplate" [euiTreeGridEditTemplate]="col.editTemplate.template" [column]="col" [row]="row"></ng-template>\n\t\t\t\t</ng-container>\n\t\t\t\t<ng-container *ngIf="!isEditable(col)">\n\t\t\t\t\t<ng-container *ngIf="!col.cellTemplate">{{row[col.field]}}</ng-container>\n\t\t\t\t\t<ng-template *ngIf="col.cellTemplate" [euiGridCellTemplate]="col.cellTemplate.template" [row]="row" [rowIndex]="rowIndex" [column]="col"></ng-template>\n\t\t\t\t</ng-container>\n\t\t\t</div>\n\t\t</td>\n\t'}]}],TreeGridRowComponent.ctorParameters=function(){return[{type:TreeGridBodyComponent,decorators:[{type:Inject,args:[forwardRef(function(){return TreeGridBodyComponent})]}]}]},TreeGridRowComponent.propDecorators={row:[{type:Input}],prow:[{type:Input}],columns:[{type:Input}],depth:[{type:Input}],rowIndex:[{type:Input}]};